﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/clone/clone_Definitions.h>

/*!
  @namespace  nn::pia::clone
  @brief      PiaClone の名前空間です。
  PiaClone は状態同期ゲーム通信を実現するためのモジュールです。
 */
namespace nn
{
namespace pia
{
namespace clone
{
}
}
}  // end of namespace nn::pia::clone

#include <nn/pia/clone/clone_Api.h>
#include <nn/pia/clone/clone_CloneProtocol.h>
#include <nn/pia/clone/clone_SendClone.h>
#include <nn/pia/clone/clone_ReceiveClone.h>
#include <nn/pia/clone/clone_AtomicSharingClone.h>
#include <nn/pia/clone/clone_SequentialSharingClone.h>
#include <nn/pia/clone/clone_SerializePolicyDefinition.h>
#include <nn/pia/clone/clone_UnreliableCloneElement.h>
#include <nn/pia/clone/clone_ReliableCloneElement.h>
#include <nn/pia/clone/clone_EventCloneElement.h>
#include <nn/pia/clone/clone_ReliableLargeCloneElement.h>
#include <nn/pia/clone/clone_CloneProfiler.h>
