﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once


#include <nn/pia/pia_Definitions.h>

#define NN_PIA_ENABLE_CLONE_BROADCAST_RESEND 1

namespace nn
{
namespace pia
{
namespace clone
{

//! @cond PRIVATE
typedef uint16_t SystemTime;
//! @endcond


//! @cond PRIVATE
static const SystemTime InvalidSystemTime = 0xffff;
//! @endcond

//! @cond PRIVATE
static const uint8_t RegisterCountBit = 2;
static const uint8_t InvalidRegisterCount = (0x1 << RegisterCountBit) - 1;
//! @endcond

//! @cond PRIVATE
static const uint32_t MessageHeaderSerializeDiffSizeMax = 26;
//! @endcond

/*!
@brief  時刻の値を保持する型です。
 */
typedef uint32_t ClockValue;


/*!
@brief  時刻の無効値です。
 */
static const ClockValue InvalidClock = 0xffffffff;
}
}
}  // end of namespace nn::pia::clone

//このモジュールの全クラスのヘッダでインクルードするもの
