﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common/common_Definitions.h>

// n1769 adjust機能を用いた新しいメモリ管理方式、スタックヒープ方式を使うかどうか
#define ENABLE_STACK_HEAP 1

/*!
  @namespace  nn::pia::common
  @brief      PiaCommon の名前空間です。
  PiaCommon は、 Pia 全体で利用する機能をまとめたモジュールです。
 */
namespace nn
{
namespace pia
{
namespace common
{
}
}
}


//n1589:common.hはNEX非依存なのでNEX依存ヘッダをインクルードするのは禁止
#include <nn/pia/common/common_Api.h>
#include <nn/pia/common/common_ByteOrder.h>
#include <nn/pia/common/common_CallContext.h>
#include <nn/pia/common/common_CryptoSetting.h>
#include <nn/pia/common/common_DateTime.h>
#include <nn/pia/common/common_Event.h>
#include <nn/pia/common/common_FixedString.h>
#include <nn/pia/common/common_InetAddress.h>
#include <nn/pia/common/common_MemoryLeakChecker.h>
#include <nn/pia/common/common_ResultUtility.h>
#include <nn/pia/common/common_Scheduler.h>
#include <nn/pia/common/common_SignatureSetting.h>
#include <nn/pia/common/common_SignatureSettingWithKeyBuffer.h>
#include <nn/pia/common/common_Time.h>
#include <nn/pia/common/common_TimeSpan.h>
#include <nn/pia/common/common_Watermark.h>
#include <nn/pia/common/common_WatermarkManager.h>
