﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common/common_Definitions.h>


namespace nn
{
namespace pia
{
namespace common
{

/*!
@cond PRIVATE
  @brief  このインスタンスの寿命の間ロックします。
 */
template <typename T>
class ScopedLock : public common::RootObject
{
public:
    explicit ScopedLock(T* pTarget)
        : m_pTarget(pTarget)
    {
        m_pTarget->Lock();
    }

    ~ScopedLock()
    {
        m_pTarget->Unlock();
    }

private:
    T* m_pTarget;
};
//! @endcond
}
}
}  // end of namespace nn::pia::common
