﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common/common_Definitions.h>


namespace nn
{
namespace pia
{
namespace common
{

class TreeMapBase;

/*!
    @cond PRIVATE
    @brief  ツリーマップのノードとなるクラスです。
 */
class TreeMapNodeBase : public common::RootObject
{
    friend class TreeMapBase;

protected:
    TreeMapNodeBase()
    {
        InitNodeBase();
    }

protected:
    TreeMapNodeBase* PrevBase() const;

    TreeMapNodeBase* NextBase() const;

protected:
    void InitNodeBase();

    TreeMapNodeBase* GetLeftBase() const
    {
        return m_pLeft;
    }
    TreeMapNodeBase* GetRightBase() const
    {
        return m_pRight;
    }

private:
    // コピー禁止
    TreeMapNodeBase(const TreeMapNodeBase& rhs);
    TreeMapNodeBase& operator=(const TreeMapNodeBase& rhs);

private:
    TreeMapNodeBase* m_pUp;
    TreeMapNodeBase* m_pLeft;
    TreeMapNodeBase* m_pRight;
    int m_Balance;
};
//! @endcond
}
}
}  // end of namespace nn::pia::common
