﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Types.h>

// common モジュール内で共通して参照する列挙型やtypedefをまとめたヘッダファイルです。

namespace nn
{
namespace pia
{
namespace common
{

const uint32_t MultiByteCharMaxSize = 4;

/*!
    @brief Pia がサポートするネットワークの種類を表す列挙型です。
*/
enum NetworkType
{
    NetworkType_UdsLocalNetwork,  //!< UDS 通信
    NetworkType_Ipv4Internet,     //!< IPv4 を使用するインターネット通信
    NetworkType_Max
};
}
}
}  // end of namespace nn::pia::common
