﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/inet/inet_Definitions.h>

/*!
  @namespace  nn::pia::inet
  @brief      PiaInet の名前空間です。
  PiaInet は、インターネット通信に対応するネットワーク管理モジュールです。PiaSession と一緒に使用します。
 */
namespace nn
{
namespace pia
{
namespace inet
{
}
}
}

#include <nn/pia/inet/inet_Api.h>
#if NN_PIA_ENABLE_NEX
#include <nn/pia/inet/inet_NexFacade.h>
#include <nn/pia/inet/inet_NexNetworkFactory.h>
#include <nn/pia/inet/inet_NexSessionInfo.h>
#include <nn/pia/inet/inet_NexSessionTypes.h>
#include <nn/pia/inet/inet_NexSessionStartupSetting.h>
#include <nn/pia/inet/inet_NexCreateSessionSetting.h>
#include <nn/pia/inet/inet_NexSessionSearchCriteria.h>
#include <nn/pia/inet/inet_NexSessionSearchCriteriaOwner.h>
#include <nn/pia/inet/inet_NexSessionSearchCriteriaParticipant.h>
#include <nn/pia/inet/inet_NexSessionSearchCriteriaSessionId.h>
#include <nn/pia/inet/inet_NexJoinRandomSessionSetting.h>
#include <nn/pia/inet/inet_NexJoinSessionSetting.h>
#include <nn/pia/inet/inet_NexUpdateSessionSetting.h>
#include <nn/pia/inet/inet_NexCreateCommunitySetting.h>
#include <nn/pia/inet/inet_NexJoinCommunitySetting.h>
#include <nn/pia/inet/inet_NexUpdateCommunitySetting.h>
#include <nn/pia/inet/inet_NexCommunitySearchCriteriaCommunityId.h>
#include <nn/pia/inet/inet_NexCommunitySearchCriteriaOfficial.h>
#include <nn/pia/inet/inet_NexCommunitySearchCriteriaOwner.h>
#include <nn/pia/inet/inet_NexCommunitySearchCriteriaParticipant.h>
#endif
