﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Definitions.h>
#include <nn/pia/pia_Assert.h>

#if NN_PIA_ENABLE_NEX
//n1872:NEXのバージョン情報
#include <OnlineCore/src/version/nex_version.h>

#define NEX_VERSION_NUMBER(major, minor, micro) (((major) << 16) | ((minor) << 8) | ((micro) << 0))
#define NEX_CURRENT_VERSION_NUMBER NEX_VERSION_NUMBER(NEX_VERSION_MAJOR, NEX_VERSION_MINOR, NEX_VERSION_MICRO)

//n1872: ProbeInitiation の Request 先をリストで指定する場合は 1 にする
#define NN_PIA_ENABLE_PROBE_TARGET_LIST 0

#if (NEX_CURRENT_VERSION_NUMBER >= NEX_VERSION_NUMBER(3, 10, 0))
#define NN_PIA_ENABLE_PARTICIPANT_SETTING 1
#else
#define NN_PIA_ENABLE_PARTICIPANT_SETTING 0
#endif

//n1872: サーバーへの問い合わせ無しに参加中のセッション情報を更新する
#define NN_PIA_EXPERIMENT_SERVERLESS_UPDATE_SESSION_INFO 0

#if (NEX_CURRENT_VERSION_NUMBER >= NEX_VERSION_NUMBER(4, 0, 2)) && NN_PIA_NINTENDOSDK
#define NN_PIA_ENABLE_ISO_COUNTRY_CODE 1
#else
#define NN_PIA_ENABLE_ISO_COUNTRY_CODE 0
#endif

#if (NN_PIA_CTR || NN_PIA_CAFE) && (NEX_CURRENT_VERSION_NUMBER < NEX_VERSION_NUMBER(4, 0, 0))
#define NN_PIA_ENABLE_SESSION_TYPE_FRIEND 1
#else
#define NN_PIA_ENABLE_SESSION_TYPE_FRIEND 0
#endif

//n1589:普通の定義はここから
namespace nn
{
namespace pia
{
namespace inet
{
const uint32_t MtuSizeMax = 1364;      //!< MTUの上限定数です。
const uint32_t MtuSizeMin = 576;       //!< MTUの下限定数です。
const uint32_t DefaultMtuSize = 1240;  //!< MTUのデフォルト定数です。

const int DefaultRttInitialPulseInterval = 200; //!< 初期段階での RTT 計測パルス送信間隔のデフォルト値です。単位はミリ秒です。
}
}
}  // end of namespace nn::pia::inet
#endif

//n1589:このモジュールの全クラスのヘッダでインクルードするもの
#include <nn/pia/common/common_RootObject.h>
#include <nn/pia/common/common_Report.h>
#include <nn/pia/common/common_Trace.h>
