﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/inet/inet_Definitions.h>

#include <nn/pia/common/common_InetAddress.h>
#include <nn/pia/transport/transport_StationLocation.h>

namespace nn
{
namespace pia
{
namespace inet
{
//< ! @cond PRIVATE
class IFacade : public common::RootObject
{
public:
    /*!
    @brief    デストラクタ
    */
    virtual ~IFacade()
    {
    }

    virtual uint16_t GetRandomPortRangeMin() const = 0;
    virtual uint16_t GetRandomPortRangeMax() const = 0;
    virtual uint16_t GetReservedPort() const = 0;

    virtual void RelayProbeRequest(const transport::StationLocation& targetLocation, const transport::StationLocation& requesterLocation) = 0;
    virtual void UpdateRelayTable() = 0;
    virtual const common::InetAddress& GetRelayServerAddress() const = 0;
    virtual ServerConnectionId GetLocalServerConnectionId() const = 0;
    virtual bool IsBeginMonitoringDataAvailable() const = 0;
};

//< ! @endcond
}
}
}  // end of namespace nn::pia::inet
