﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/lan/lan_Definitions.h>

/*!
  @namespace  nn::pia::lan
  @brief      PiaLan の名前空間です。
  PiaLan は LAN P2P 通信機能を提供するネットワーク管理モジュールです。LAN マッチメイク機能を提供します。PiaSession と一緒に使用します。
 */
namespace nn
{
namespace pia
{
namespace lan
{
}
}
}

#include <nn/pia/lan/lan_Api.h>
#include <nn/pia/lan/lan_LanFacade.h>
#include <nn/pia/lan/lan_LanNetworkFactory.h>
#include <nn/pia/lan/lan_LanSessionStartupSetting.h>
#include <nn/pia/lan/lan_LanCreateSessionSetting.h>
#include <nn/pia/lan/lan_LanJoinRandomSessionSetting.h>
#include <nn/pia/lan/lan_LanJoinSessionSetting.h>
#include <nn/pia/lan/lan_LanUpdateSessionSetting.h>
#include <nn/pia/lan/lan_LanSessionSearchCriteria.h>
#include <nn/pia/lan/lan_LanSessionInfo.h>
#include <nn/pia/lan/lan_LanSessionTypes.h>
#include <nn/pia/lan/lan_LanStationInfo.h>
