﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Definitions.h>
#include <nn/pia/pia_Assert.h>

namespace nn
{
namespace pia
{
namespace lan
{
    const uint32_t MtuSize = 1364;
    const uint32_t MaxSilenceTime = 4000;           //!< ステーションとの通信が断絶したと判断する無通信時間 [msec] のデフォルト値です。
    const uint32_t KeepAliveSendingInterval = 400;  //!< キープアライブの送信間隔 [msec] のデフォルト値です。
    const int DefaultRttInitialPulseInterval = 600; //!< 初期段階での RTT 計測パルス送信間隔のデフォルト値です。単位はミリ秒です。
}
}
}  // end of namespace nn::pia::lan

//n1589:このモジュールの全クラスのヘッダでインクルードするもの
#include <nn/pia/common/common_RootObject.h>
#include <nn/pia/common/common_Report.h>
#include <nn/pia/common/common_Trace.h>
