﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/lan/lan_LanSessionTypes.h>
#include <nn/pia/session/session_JoinSessionSetting.h>

namespace nn
{
namespace pia
{
namespace lan
{
/*!
  @brief  LAN マッチメイクのセッション参加処理に関する設定を管理するクラスです。

  @see nn::pia::session::JoinSessionSetting
 */

class LanJoinSessionSetting : public nn::pia::session::JoinSessionSetting
{
public:
    /*!
    @brief      デフォルトコンストラクタ。
     */
    LanJoinSessionSetting();

    /*!
    @brief      デストラクタ。
     */
    virtual ~LanJoinSessionSetting();

    /*!
    @brief      設定をリセットします。
     */
    virtual void Reset();

protected:
private:
    // コピーコンストラクタは封印。
    LanJoinSessionSetting(const LanJoinSessionSetting&);

    // 代入演算子は封印。
    LanJoinSessionSetting& operator=(const LanJoinSessionSetting&);
};
}
}
}  // end of namespace nn::pia::lan
