﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/lan/lan_Definitions.h>

namespace nn
{
namespace pia
{
namespace lan
{

const uint32_t LanSessionInfoListSizeMax = 10;   //!< 検索可能なセッション数の最大長
const uint32_t LanCommunityInfoListSizeMax = 0;  //!< 検索可能なコミュニティ数の最大長

const uint32_t LanAttributeSizeMax = 6;        //!< セッションに指定可能な属性の数
const uint32_t LanAttributeArraySizeMax = 20;  //!< 検索条件に指定できる属性値の配列の最大長

const uint32_t LanApplicationDataBufferSizeMax = 384;   //!< セッションのアプリケーションデータの最大長
const uint8_t LanSessionSearchCriteriaListSizeMax = 2;  //!< ランダムマッチメイク時に指定する検索条件の最大数

const uint16_t LanInvalidParticipantsNum = 0xffff;
/*!
    @brief  LAN マッチメイクのセッションタイプを表す列挙型です。
*/
enum LanSessionType
{
    LanSessionType_Anybody = 0  //!< 誰でも参加可能
};

const uint16_t BroadcastStreamPort = 40000;
const uint8_t LanSystemVersion = 0;
}
}
}  // end of namespace nn::pia::lan
