﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Definitions.h>

/*!
  @namespace  nn::pia::local
  @brief      PiaLocal の名前空間です。
  PiaLocal はローカル P2P 通信の拡張機能を提供するモジュールです。PiaSession と一緒に使用します。
 */

#include <nn/pia/local/local_Api.h>
#include <nn/pia/local/local_LocalFacade.h>
#include <nn/pia/local/local_LocalSessionInfo.h>
#include <nn/pia/local/local_LocalSessionTypes.h>
#include <nn/pia/local/local_LocalSessionStartupSetting.h>

#if NN_PIA_CTR
#include <nn/pia/local/local_UdsNetworkSetting.h>
#include <nn/pia/local/local_UdsNetworkFactory.h>
#include <nn/pia/local/local_UdsSessionSearchCriteria.h>
#include <nn/pia/local/local_UdsCreateSessionSetting.h>
#include <nn/pia/local/local_UdsJoinSessionSetting.h>
#include <nn/pia/local/local_UdsUpdateSessionSetting.h>
#include <nn/pia/local/local_UdsSessionInfo.h>
#endif

#if NN_PIA_NINTENDOSDK
#include <nn/pia/local/local_LdnNetworkSetting.h>
#include <nn/pia/local/local_LdnNetworkFactory.h>
#include <nn/pia/local/local_LdnSessionSearchCriteria.h>
#include <nn/pia/local/local_LdnCreateSessionSetting.h>
#include <nn/pia/local/local_LdnJoinSessionSetting.h>
#include <nn/pia/local/local_LdnUpdateSessionSetting.h>
#include <nn/pia/local/local_LdnSessionInfo.h>
#endif
