﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


// 基本マクロです。

#pragma once

#include <nn.h>
#include <stdio.h>

#define PIA_DIRECT_PRINT_ALWAYS(...) nn::dbg::detail::Printf(__VA_ARGS__)
#define PIA_DIRECT_VPRINT_ALWAYS(...) nn::dbg::detail::VPrintf(__VA_ARGS__)

#if NN_PIA_UNDER_DEVELOP
#define PIA_DIRECT_PRINT(...) PIA_DIRECT_PRINT_ALWAYS(__VA_ARGS__)
#define PIA_DIRECT_VPRINT(...) PIA_DIRECT_VPRINT_ALWAYS(__VA_ARGS__)
#else
#define PIA_DIRECT_PRINT(...) (void)0
#define PIA_DIRECT_VPRINT(...) (void)0
#endif

namespace nn
{
namespace pia
{
namespace common
{
void VPrintf(const char* cpFormat, va_list varg);
void Printf(const char* cpFormat, ...);
}
}
}
#define PIA_HOOK_PRINT(...) ::nn::pia::common::Printf(__VA_ARGS__)
#define PIA_HOOK_VPRINT(...) ::nn::pia::common::VPrintf(__VA_ARGS__)

#define PIA_BASIC_HALT(...) NN_PANIC(__VA_ARGS__)

#define PIA_IS_VALID_POINTER(ptr) NN_IS_VALID_POINTER(ptr)

#define PIA_ATTRIBUTE_ALIGN(N) NN_ATTRIBUTE_ALIGN(N)

#define PIA_CODE_POSITION_FILE __MODULE__
#define PIA_CODE_POSITION_FUNC __FUNCTION__
#define PIA_CODE_POSITION_LINE __LINE__

#define PIA_SNPRINTF(...) snprintf(__VA_ARGS__)
