﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/session/session_Definitions.h>

/*!
  @namespace  nn::pia::session
  @brief      PiaSession の名前空間です。
  PiaSession はゲーム参加者の集合となるセッション（集まり）の管理を行うセッション管理モジュールです。
 */
namespace nn
{
namespace pia
{
namespace session
{
}
}
}  // end of namespace nn::pia::session


#include <nn/pia/session/session_Api.h>
#include <nn/pia/session/session_Types.h>
#include <nn/pia/session/session_Session.h>
#include <nn/pia/session/session_ISessionInfoList.h>
#include <nn/pia/session/session_CreateSessionSetting.h>
#include <nn/pia/session/session_JoinRandomSessionSetting.h>
#include <nn/pia/session/session_JoinSessionSetting.h>
#include <nn/pia/session/session_SessionSearchCriteria.h>
#include <nn/pia/session/session_UpdateSessionSetting.h>
#include <nn/pia/session/session_SessionStationInfo.h>
#include <nn/pia/session/session_ICommunityInfoList.h>
#include <nn/pia/session/session_CreateCommunitySetting.h>
#include <nn/pia/session/session_JoinCommunitySetting.h>
#include <nn/pia/session/session_CommunitySearchCriteria.h>
