﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/session/session_Definitions.h>
#include <nn/pia/session/session_Types.h>

namespace nn
{
namespace pia
{
namespace session
{

/*!
  @brief   コミュニティ設定の更新処理に関する設定を管理する基底クラスです。
  @details アプリケーションが本クラスのインスタンスを作成することはありません。 本クラスを継承したクラスを使用する必要があります。
  @see inet::NexUpdateCommunitySetting
 */

class UpdateCommunitySetting : public common::RootObject
{
public:
    /*!
    @brief    デストラクタ
     */
    virtual ~UpdateCommunitySetting()
    {
    }

    /*!
    @brief 設定をリセットします。
     */
    virtual void Reset() = 0;

protected:
    // コンストラクタ。
    UpdateCommunitySetting()
    {
    }

private:
    NN_PIA_DISALLOW_COPY(UpdateCommunitySetting);
};
}
}
}  // end of namespace session
