﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/transport/transport_Definitions.h>

/*!
  @namespace  nn::pia::transport
  @brief      PiaTransport の名前空間です。
  PiaTransport は様々な送受信機能を提供するトランスポート管理モジュールです。PiaSession と組み合わせて使用します。
 */
namespace nn
{
namespace pia
{
namespace transport
{
}
}
}  // end of namespace nn::pia::transport

#include <nn/pia/transport/transport_Api.h>
#include <nn/pia/transport/transport_Transport.h>
#include <nn/pia/transport/transport_StationManager.h>
#include <nn/pia/transport/transport_UnreliableProtocol.h>
#include <nn/pia/transport/transport_ReliableProtocol.h>
#include <nn/pia/transport/transport_ReliableBroadcastProtocol.h>
#include <nn/pia/transport/transport_RoundRobinUnreliableProtocol.h>
#include <nn/pia/transport/transport_ThreadStreamManager.h>
#include <nn/pia/transport/transport_Protocol.h>
#include <nn/pia/transport/transport_PacketAnalysisData.h>
#include <nn/pia/transport/transport_TransportAnalyzer.h>
