﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once


#include <nn/pia/pia_Result.h>
#include <nn/pia/common/common_RootObject.h>
#include <nn/pia/common/common_ResultUtility.h>

// Piaライブラリ開発者用。
#define NN_PIA_TRANSPORT_ENABLE_DETAILED_TRACE 0
#define NN_PIA_EXPERIMENT_RELIABLE_DETAIL_INFO 0  // n1769 実験用。Reliable通信パフォーマンス測定が目的。

#define NN_PIA_EXPERIMENT_LATENCY_EMULATION_ERROR_HANDLING 1  // n1769 レイテンシエミュレーション使用時に送受信関数のエラー Result を無視しないようにするなら 1

//n1589:test:off
#define NN_PIA_ENABLE_STATISTIC_THREAD_STREAM_BLOCK_TIME 0


//n1589:普通の定義はここから
namespace nn
{
namespace pia
{
namespace transport
{

// n3389 : ProtocolType であり、 ProtocolId とは別
// この値の順番にプロトコルの処理が回ります。
// 優先的に処理したいプロトコルに小さい値を割り当てる必要があります。
static const uint16_t ProtocolTypeRelay = 0x0080;
static const uint16_t ProtocolTypeKeepAlive = 0x00c0;
static const uint16_t ProtocolTypeStation = 0x0100;
static const uint16_t ProtocolTypeMesh = 0x0200;
static const uint16_t ProtocolTypeSyncClock = 0x0210;
static const uint16_t ProtocolTypeLocal = 0x0300;
static const uint16_t ProtocolTypeDirect = 0x0310;
static const uint16_t ProtocolTypeNet = 0x0320;
//static const uint16_t ProtocolTypeLocalLdn = 0x0300;
//static const uint16_t ProtocolTypeLocalUds = 0x0310;
static const uint16_t ProtocolTypeNat = 0x0400;
static const uint16_t ProtocolTypeGateway = 0x0410;
static const uint16_t ProtocolTypeLan = 0x0420;
static const uint16_t ProtocolTypeBandwidthCheck = 0x0500;
static const uint16_t ProtocolTypeRtt = 0x0600;
static const uint16_t ProtocolTypeSyncOld = 0x1800;
static const uint16_t ProtocolTypeSync = 0x1810;
static const uint16_t ProtocolTypeUnreliable = 0x2000;
static const uint16_t ProtocolTypeRoundrobinUnreliable = 0x2100;
static const uint16_t ProtocolTypeClone = 0x2400;
static const uint16_t ProtocolTypeVoice = 0x2800;
static const uint16_t ProtocolTypeReliable = 0x3000;
static const uint16_t ProtocolTypeReliableBroadcast = 0x7000;
static const uint16_t ProtocolTypeSession = 0x7200;
static const uint16_t ProtocolTypeMonitoringData = 0x8000;
static const uint16_t ProtocolTypeRelayService = 0x8200;
}
}
}  // end of namespace nn::pia::transport

//n1589:このモジュールの全クラスのヘッダでインクルードするもの
