﻿/*--------------------------------------------------------------------------------*
Copyright (C)Nintendo All rights reserved.

These coded instructions, statements, and computer programs contain proprietary
information of Nintendo and/or its licensed developers and are protected by
national and international copyright laws. They may not be disclosed to third
parties or copied or duplicated in any form, in whole or in part, without the
prior written consent of Nintendo.

The content herein is highly confidential and should be handled accordingly.
*--------------------------------------------------------------------------------*/

#pragma once

#include <nn/pia/tune/tune_Definitions.h>

namespace nn
{
namespace pia
{
namespace tune
{
#if NN_PIA_NINTENDOSDK
    struct ReportData;
#endif

class CpuProfilerImplBase
{
public:
    CpuProfilerImplBase()
    {
    }

    virtual ~CpuProfilerImplBase()
    {
    }

    virtual void Finalize() = 0;
#if NN_PIA_CTR || NN_PIA_A
    virtual void StartProfilingIdle(uint32_t milliSec) = 0;
    virtual void StartProfilingBase(uint32_t milliSec) = 0;
    virtual void StartProfilingTarget(uint32_t milliSec) = 0;
#endif

#if NN_PIA_NINTENDOSDK
    virtual void StartProfiling() = 0;
    virtual void StartAutoProfilingWithMilliSeconds(uint32_t milliSec) = 0;
    virtual void RequestReport(const ReportData& data) = 0;
#endif

    virtual void FinishProfiling() = 0;
    virtual void Report() = 0;
    virtual bool IsProfiling(uint32_t coreIndex = 0) const = 0;
    virtual void GetPacketLoss(nn::pia::StationId stationId, uint16_t& totalPacketNum, uint16_t& packetLossNum, uint16_t& multicastPacketNum) = 0;
    virtual void GetTickCount(int64_t& systemTick, int64_t& idleTick, uint32_t coreIndex = 0) = 0;
    virtual void GetProfileTimeMilliSeconds(int64_t& profilingTime, uint32_t coreIndex = 0) = 0;
    virtual void GetIdleTimeMilliSeconds(int64_t& idleTime, uint32_t coreIndex = 0) = 0;
};
}
}
}
