﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Platform.h>


namespace nns
{
namespace pia
{
namespace sampleframework
{


/*!
  @brief      float型を用いてカラー情報(RGBA)をまとめた構造体です。
 */
struct Color
{
    /*!
    @brief コンストラクタです。

    @param[in] red   赤要素。
    @param[in] green 緑要素。
    @param[in] blue  青要素。
    @param[in] alpha α要素。
     */
    Color(float red, float green, float blue, float alpha)
        : r(red),
          g(green),
          b(blue),
          a(alpha)
    {
    }

    float r;  // Red
    float g;  // Green
    float b;  // Blue
    float a;  // Alpha
};

const Color ColorBlack(0.0f, 0.0f, 0.0f, 1.0f);
const Color ColorGray(0.5f, 0.5f, 0.5f, 1.0f);
const Color ColorSilver(0.75f, 0.75f, 0.75f, 1.0f);
const Color ColorWhite(1.0f, 1.0f, 1.0f, 1.0f);
const Color ColorMaroon(0.5f, 0.0f, 0.0f, 1.0f);
const Color ColorRed(1.0f, 0.0f, 0.0f, 1.0f);
const Color ColorOlive(0.5f, 0.5f, 0.0f, 1.0f);
const Color ColorYellow(1.0f, 1.0f, 0.0f, 1.0f);
const Color ColorGreen(0.0f, 0.5f, 0.0f, 1.0f);
const Color ColorLime(0.0f, 1.0f, 0.0f, 1.0f);
const Color ColorTeal(0.0f, 0.5f, 0.5f, 1.0f);
const Color ColorAqua(0.0f, 1.0f, 1.0f, 1.0f);
const Color ColorNavy(0.0f, 0.0f, 0.5f, 1.0f);
const Color ColorBlue(0.0f, 0.0f, 1.0f, 1.0f);
const Color ColorPurple(0.5f, 0.0f, 0.5f, 1.0f);
const Color ColorFuchsia(1.0f, 0.0f, 1.0f, 1.0f);
const Color ColorDarkBlue(0.0f, 0.0f, 0.5f, 1.0f);
}
}
}  // end of namespace nns::pia::sampleframework
