﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#include "Assert.h"

namespace nns
{
namespace pia
{

void SampleAssert(const char* cpPos, uint32_t line, const char* cpMsg, ...)
{
#if NN_PIA_ENABLE_CACHEDPRINT
    if (nn::pia::common::CachedPrint::GetInstance() != NULL)
    {
        nn::pia::common::CachedPrint::GetInstance()->Flush();
    }
#endif // NN_PIA_ENABLE_CACHEDPRINT

    PIA_DIRECT_PRINT_ALWAYS("Pia sample assertion failed (%s, #%u)\n", cpPos, line);

    va_list ap;
    va_start(ap, cpMsg);
    PIA_DIRECT_VPRINT_ALWAYS(cpMsg, ap);
    va_end(ap);

    PIA_DIRECT_PRINT_ALWAYS("\n");
    PIA_BASIC_HALT("");
}
}
}  // end of namespace nns::pia
