﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#include "SampleLib/Basic_Setup.h"
#include "SampleLib/SampleLib.h"
#include <nn/pia/pia_Version.h>

#include <cstdio>

namespace
{
const int TitleSize = 256;
char s_ProgramTitle[TitleSize] = "no title";
char s_PiaVersionInfoString[nns::pia::BasicUpperScreenWidth / nns::pia::BasicFontSize] = {};
}

namespace nns
{
namespace pia
{

void Basic_SetProgramTitle(const char* pTitle)
{
#if NN_PIA_NINTENDOSDK&& NN_PIA_NINTENDOSDK_WIN
    strncpy_s(s_ProgramTitle, TitleSize, pTitle, _TRUNCATE);
#else
    strncpy(s_ProgramTitle, pTitle, TitleSize);
    s_ProgramTitle[TitleSize - 1] = '\0';
#endif
}

const char* Basic_GetProgramTitle()
{
    return s_ProgramTitle;
}

const char* Basic_GetPiaVersionString()
{
    // Piaライブラリバージョン情報文字列の作成
    PIA_SNPRINTF(s_PiaVersionInfoString,
                 BasicUpperScreenWidth / BasicFontSize,
                 "Pia %d.%d.%d r%d",
                 PIA_VERSION_MAJOR,
                 PIA_VERSION_MINOR,
                 PIA_VERSION_MICRO,
                 PIA_VERSION_REVISION);
    return s_PiaVersionInfoString;
}
}
}  // end of namespace nns::pia
