﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

namespace nns
{
namespace pia
{

const unsigned int BasicUpperScreenWidth = 400;   //!< 上画面の解像度(横)
const unsigned int BasicUpperScreenHeight = 240;  //!< 上画面の解像度(縦)

const unsigned int BasicLowerScreenWidth = 320;   //!< 下画面の解像度(横)
const unsigned int BasicLowerScreenHeight = 240;  //!< 下画面の解像度(縦)

const unsigned int BasicFontSize = 8;  //!< 描画するフォントのサイズ

// プログラムタイトルを設定します。
void Basic_SetProgramTitle(const char* pTitle);

// プログラムタイトルを取得します。
const char* Basic_GetProgramTitle();

// Piaライブラリバージョン情報を描画するための文字列取得関数
const char* Basic_GetPiaVersionString();
}
}  // end of namespace nns::pia
