﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common.h>
#include <nn/pia/transport.h>
#include <nn/pia/clone.h>

namespace nns
{
namespace pia
{

// PiaClone の初期化処理です。
void Clone_InitializePiaClone();
void Clone_InitializePiaClone(const nn::pia::clone::CloneProtocol::Setting& setting);

// PiaClone の終了処理です。
void Clone_FinalizePiaClone();

// CloneProtocolのインスタンスを取得します。
nn::pia::clone::CloneProtocol* Clone_GetCloneProtocol();
}
}  // end of namespace nns::pia
