﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include "SampleLib/Defines.h"

#if NNS_PIA_ENABLE_INET

#include <nn/pia/common.h>
#include <nn/pia/inet.h>
#include <nn/pia/transport.h>

namespace
{
}

namespace nns
{
namespace pia
{
// PiaInet の初期化処理です。
nn::pia::Result Inet_InitializePiaInet();

// PiaInet の終了処理です。
void Inet_FinalizePiaInet();

// フレンドサーバー、ゲームサーバーへのログイン
bool Inet_Login(uint32_t timeout = 30 * 1000);

// フレンドサーバー、ゲームサーバーからログアウト
bool Inet_Logout();

// ログインのエラーコード取得
#if NN_PIA_NINTENDOSDK
nn::Result Inet_GetLoginError();
#else
int32_t Inet_GetLoginError();
#endif

nn::pia::transport::NetworkFactory* Inet_GetNetworkFactory();
}
}  // end of namespace nns::pia

#endif
