﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common.h>
#include <nn/pia/lan.h>
#include <nn/pia/transport.h>

namespace
{
}

namespace nns
{
namespace pia
{

// PiaLan の初期化処理です。
nn::pia::Result Lan_InitializePiaLan();

// PiaLan の終了処理です。
void Lan_FinalizePiaLan();

nn::pia::Result Lan_StartupPiaLan(int localCommunicationVersion = 0);

void Lan_CleanupPiaLan();

nn::pia::transport::NetworkFactory* Lan_GetNetworkFactory();
}
}  // end of namespace nns::pia
