﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common.h>

/*!
  @brief           デモ用プリントマクロです。Release版では表示されません。
 */
#define PIA_SAMPLE_PRINT(...) PIA_BASIC_PRINT(__VA_ARGS__)

/*!
  @brief           デモ用プリントマクロです。Release版では表示されません。
 */
#define PIA_SAMPLE_DIRECT_PRINT(...) PIA_DIRECT_PRINT(__VA_ARGS__)

/*!
  @brief           デモ用プリントマクロです。Release版でも表示されます。
 */
#define PIA_SAMPLE_DIRECT_PRINT_ALWAYS(...) PIA_DIRECT_PRINT_ALWAYS(__VA_ARGS__)

/*!
  @brief           デモ用の Result プリントマクロです。Release版では表示されません。
 */
#define PIA_SAMPLE_PRINT_RESULT(result)                                                 \
    PIA_SAMPLE_PRINT("%s, line: %d\n", PIA_CODE_POSITION_FILE, PIA_CODE_POSITION_LINE); \
    PIA_SAMPLE_PRINT("Result(%08x) [%s]\n", result.GetValue(), result.ToString());      \
    PIA_SAMPLE_PRINT("    Description: (%4d)\n", result.GetDescription())
