﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#include "SampleLib/SampleLib.h"
#include "SampleLib/Reckoning_Setup.h"

namespace nns
{
namespace pia
{

void Reckoning_InitializePiaReckoning()
{
    nn::pia::Result r;

    r = nn::pia::reckoning::Initialize();
    PIA_SAMPLE_ASSERT_RESULT_IS_SUCCESS(r);

    r = nn::pia::reckoning::BeginSetup();
    PIA_SAMPLE_ASSERT_RESULT_IS_SUCCESS(r);

    r = nn::pia::reckoning::EndSetup();
    PIA_SAMPLE_ASSERT_RESULT_IS_SUCCESS(r);
}

void Reckoning_FinalizePiaReckoning()
{
    nn::pia::reckoning::Finalize();
}
}
}  // end of namespace nns::pia
