﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include "SampleConfig.h"

// float の値を推測するアルゴリズムの定義です。
// ReckoningCloneElement の使い方を示すための物であって、推測の仕方として適切なものを提示するものではありません。
class ReckoningStrategy
{
public:
    typedef float Value;
    typedef float Sample;
    typedef void SetValueArg;

    struct Work
    {
        float paramA;
        float paramB;
        float paramC;
        nn::pia::clone::ClockValue baseClock;
    };

    static const uint32_t BufferSize = 3;

    typedef nn::pia::reckoning::ReckoningCloneElementBase::SampleAccessor<Sample> Accessor;

    bool Estimate(Value* pValue, const Accessor& accessor, nn::pia::clone::ClockValue clock, const Work* cpWork) const;
    bool CheckSample(bool* pIsReliable, const Value& value, const SetValueArg* cpSetValueArg, const Accessor& accessor, nn::pia::clone::ClockValue clock, const Work* cpWork) const;
    void MakeSample(Sample* pSample, const Value& value, const SetValueArg* cpSetValueArg, const Accessor& accessor, nn::pia::clone::ClockValue clock, const Work* cpWork) const;
    void OnUpdateSample(const Accessor& accessor, int index, Work* pWork) const;
};
