﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include "SampleConfig.h"

#if NNS_PIA_ENABLE_INET

#include "Object.h"

class ObjectManager
{
public:
    ObjectManager();

    void RegisterAll();
    void UnregisterAll();

    SendObject* GetSendObject();
    ReceiveObject* GetReceiveObject(nn::pia::StationId stationId);
    AtomicObject* GetTeamAtomicObject(int teamIndex);
    SequentialObject* GetTeamSequentialObject(int teamIndex);
    AtomicObject* GetCommonAtomicObject();
    SequentialObject* GetCommonSequentialObject();

private:
    SendObject m_SendObject;
    ReceiveObject m_ReceiveObject[GamePlayerMax];
    AtomicObject m_AtomicObject[TeamMax + 1];
    SequentialObject m_SequentialObject[TeamMax + 1];
};

extern ObjectManager g_ObjectManager;

#endif
