﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include "SampleConfig.h"

#if NNS_PIA_ENABLE_INET

#include "SampleObjectStatus.h"
#include "Object.h"

class StatusManager
{
public:
    StatusManager();

    void ClearStationStatus();
    void ClearCommonObjectStatus();

    void Update();

    void AssignStationStatus(nn::pia::StationId stationId, ReceiveObject* pReceiveObject);
    SampleObjectStatus* GetStationStatus(nn::pia::StationId stationId);
    SampleObjectStatus* GetStationStatus(int idx);

    void AssignCommonObjectStatus(SampleObjectStatusType type, int teamIndex, Object* pObject);
    SampleObjectStatus* GetCommonObjectStatus(int idx);
    SampleObjectStatus* GetCommonObjectStatusByType(SampleObjectStatusType type, int teamIndex = -1);

    SampleObjectStatus* GetOperationTargetStatus()
    {
        return m_pOperationTargetStatus;
    }
    void ChangeOperationTarget(int localTeamIndex);
    void ResetOperationTarget()
    {
        m_pOperationTargetStatus = &m_StationStatus[0];
    }
    void AtomicLockOperation();

private:
    SampleObjectStatus m_StationStatus[GamePlayerMax];
    SampleObjectStatus m_CommonObjectStatus[CommonObjectNum];
    SampleObjectStatus* m_pOperationTargetStatus;
};

extern StatusManager g_StatusManager;

#endif
