﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Platform.h>
#include "SampleLib/Nex_Setup.h"
#include <nn/pia/sync.h>


#ifdef PIA_TEST_BUILD
// 自動検証用のコードです。サンプルとしては無視してください。
#define PIA_TEST_CODE 1
#else
#define PIA_TEST_CODE 0
#endif

#if NN_PIA_CTR || NN_PIA_NINTENDOSDK_NX
#define USE_PIA_LOCAL 1 && NNS_PIA_ENABLE_LOCAL
#else
#define USE_PIA_LOCAL 0
#endif

#define PROGRAM_TITLE "SyncProtocol"

const int MaxStations = 8;  // 最大 Station 数
const int FramePerSeconds = 60;
const uint32_t NexDispatchPeriod = (FramePerSeconds == 60 ? 6 : 3);
const uint32_t DelayMax = nn::pia::sync::SyncProtocol::FrameDelayMax;
const bool IsChangeDelayEnabled = true;
const bool IsHostMigrationEnabled = true;

const uint32_t MemoryBlockSize = 10 * 1024 * 1024;  // nn::pia::common::Initialize()で供給するメモリサイズ（単位はバイト）

// NetZを使用しない場合は、小さなサイズで済みます。
// アプリケーションの仕様に応じて調整して下さい。
const uint32_t MemoryBlockSizeForNex = 1 * 1024 * 1024;
const uint32_t MemoryBlockSizeForNexEmergency = 50 * 1024;

const uint32_t MatchmakeGameModeOffset = 0;
const uint32_t MatchmakeGameModeBase = 40000;  // ゲームモード
const uint32_t MatchmakeGameMode = MatchmakeGameModeBase + 100000 * NN_PIA_PLATFORM + 1000000 * PIA_TEST_CODE + MatchmakeGameModeOffset;

#if USE_PIA_LOCAL
#if NN_PIA_CTR
const uint32_t LocalTitleId = 0xFF320;
const uint8_t LocalSubId = MatchmakeGameModeOffset;
#elif NN_PIA_NINTENDOSDK
const uint16_t LocalSceneId = MatchmakeGameModeOffset + 3000 + 30000 * PIA_TEST_CODE;
#endif
const char LocalWirelessCryptoKey[] = "aaabbccc0123456789!";
const char SignatureKey[] = "syncprotocol key";
#endif
